Skip to content
Permalink
Browse files

fix(legacy): support legacy import expectations

  • Loading branch information
mbroadst committed Aug 1, 2018
1 parent f6a9a8e commit 615b23f0365313e819529fab6f647791e740b42b
Showing with 7 additions and 1 deletion.
  1. +7 −1 index.js
@@ -1,9 +1,15 @@
'use strict';

const kerberos = require('./lib/kerberos');

// Get the Kerberos library
module.exports = require('./lib/kerberos');
module.exports = kerberos;

// Support for legacy versions of the mongodb driver expect this export
module.exports.Kerberos = kerberos;

// Set up the auth processes
module.exports.processes = {
MongoAuthProcess: require('./lib/auth_processes/mongodb').MongoAuthProcess
};

0 comments on commit 615b23f

Please sign in to comment.
You can’t perform that action at this time.